#include <grp.h>

struct group *su_getgrgid(gid_t gid);
struct group *su_getgrnam(const char *name);

#define getgrgid(a)		su_getgrgid(a)
#define getgrnam(a)		su_getgrnam(a)

int su_getgrnam_r(const char *name, struct group *grp, char *buf, size_t buflen, struct group **result);
int su_getgrgid_r(gid_t gid, struct group *grp, char *buf, size_t buflen, struct group **result);

#define getgrnam_r(a,b,c,d,e)		su_getgrnam_r(a,b,c,d,e)
#define getgrgid_r(a,b,c,d,e)		su_getgrgid_r(a,b,c,d,e)

